Bug 209248 - multimedia/qmmp-plugin-pack-qt5: Update to 1.0.3
Summary: multimedia/qmmp-plugin-pack-qt5: Update to 1.0.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Olivier Duchateau
URL:
Keywords:
Depends on: 209247
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-03 19:01 UTC by Olivier Duchateau
Modified: 2016-05-09 17:43 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (liangtai.s16)


Attachments
Patch to update multimedia/qmmp-plugin-pack-qt5 (1.41 KB, patch)
2016-05-03 19:01 UTC, Olivier Duchateau
no flags Details | Diff
Poudriere log on FreeBSD amd64 9.3 (82.28 KB, text/x-log)
2016-05-03 19:02 UTC, Olivier Duchateau
no flags Details
Set minimal version to 1.9 of TagLib (2.10 KB, patch)
2016-05-09 10:07 UTC, SimaMoto,RyōTa
liangtai.s16: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau freebsd_committer 2016-05-03 19:01:51 UTC
Created attachment 169944 [details]
Patch to update multimedia/qmmp-plugin-pack-qt5

- Update to 1.0.3
- Add taglib as dependency for MPG123 option
- Add patch in order to downgrade version of taglib, otherwise MPG123 and FFAP options are not build. Tested quickly with the latest release of taglib (1.11, not in ports tree) and patch is not necessary.
Comment 1 Olivier Duchateau freebsd_committer 2016-05-03 19:02:31 UTC
Created attachment 169945 [details]
Poudriere log on FreeBSD amd64 9.3
Comment 2 SimaMoto,RyōTa 2016-05-08 05:40:43 UTC
Since seetting 'pkg_check_modules(TAGLIB taglib>=1.10)' also accepts taglib-1.10,
I assume CMake determines 1.10 is older than 1.10.0 in version expression.  I
reported this problem to the qmmp developer.
Comment 3 SimaMoto,RyōTa 2016-05-09 10:07:49 UTC
Created attachment 170139 [details]
Set minimal version to 1.9 of TagLib

I appreciate your plan to use USES+=localbase and add explicit dependency on TagLib.

Replace the minimal version of TagLib 1.7 to 1.9 accordings to the developers fix:
https://sourceforge.net/p/qmmp-dev/code/6339/
Comment 4 commit-hook freebsd_committer 2016-05-09 17:40:32 UTC
A commit references this bug:

Author: olivierd
Date: Mon May  9 17:39:56 UTC 2016
New revision: 414874
URL: https://svnweb.freebsd.org/changeset/ports/414874

Log:
  - Update to 1.0.3 [2]
  - Adjust dependencies [1], [2]

  Fix build with TagLib < 1.11, otherwise MPG123 and FFAP options are not build
  anymore.

  PR:		209248
  Submitted by:	<liangtai.s16@gmail.com> (maintainer) [1], myself [2]

Changes:
  head/multimedia/qmmp-plugin-pack-qt5/Makefile
  head/multimedia/qmmp-plugin-pack-qt5/distinfo
Comment 5 Olivier Duchateau freebsd_committer 2016-05-09 17:43:18 UTC
Committed